Package org.eclipse.emf.cdo.common.protocol

## Interface CDOAuthenticator

-     @Deprecated
      public interface CDOAuthenticator

  Deprecated.
  As of 4.2 use `IPasswordCredentialsProvider` directly
  The front-end of the CDO challenge/response authentication.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOAuthenticationResult` | `authenticate​(byte[] randomToken)` | Deprecated.
    `org.eclipse.net4j.util.security.IPasswordCredentialsProvider` | `getCredentialsProvider()` | Deprecated.
    `java.lang.String` | `getEncryptionAlgorithmName()` | Deprecated.
    `int` | `getEncryptionIterationCount()` | Deprecated.
    `byte[]` | `getEncryptionSaltBytes()` | Deprecated.
    `void` | `setCredentialsProvider​(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)` | Deprecated.
    `void` | `setEncryptionAlgorithmName​(java.lang.String encryptionAlgorithmName)` | Deprecated.
    `void` | `setEncryptionIterationCount​(int encryptionIterationCount)` | Deprecated.
    `void` | `setEncryptionSaltBytes​(byte[] encryptionSaltBytes)` | Deprecated.

- - ### Method Detail

    - #### getEncryptionAlgorithmName

          java.lang.String getEncryptionAlgorithmName()

      Deprecated.

    - #### setEncryptionAlgorithmName

          void setEncryptionAlgorithmName​(java.lang.String encryptionAlgorithmName)

      Deprecated.

    - #### getEncryptionSaltBytes

          byte[] getEncryptionSaltBytes()

      Deprecated.

    - #### setEncryptionSaltBytes

          void setEncryptionSaltBytes​(byte[] encryptionSaltBytes)

      Deprecated.

    - #### getEncryptionIterationCount

          int getEncryptionIterationCount()

      Deprecated.

    - #### setEncryptionIterationCount

          void setEncryptionIterationCount​(int encryptionIterationCount)

      Deprecated.

    - #### getCredentialsProvider

          org.eclipse.net4j.util.security.IPasswordCredentialsProvider getCredentialsProvider()

      Deprecated.

    - #### setCredentialsProvider

          void setCredentialsProvider​(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)

      Deprecated.

    - #### authenticate

          CDOAuthenticationResult authenticate​(byte[] randomToken)

      Deprecated.
      Since:
        4.0